import { useState, useEffect } from 'react';
import * as d3 from 'd3';
import { createRoot } from 'react-dom';
import Barchart from './BarChart.js';
import {useData} from './useData.js';
import 'App.css'
const App = () => {
  const data = useData();
  console.log(data);
  return data ? <Barchart data={data} /> : null;
};

const root = createRoot(
  document.getElementById('root')
);
root.render(<App />);
