import { useEffect, useState } from 'react';
import * as d3 from 'd3';
import { csv } from 'd3';
const csvUrl =
  'https://gist.githubusercontent.com/nitanagdeote/70d23bd2f019eef3e3c31cfea7690963/raw/b47db97c58ab5b7e3487d15a42cff99d68a08914/2021-statewise-crime-chargesheet-rate.csv'; // csv file url
//console.log(csvUrl)
/////////////////////////////////////////////////////////////////////////////
export const useData = () => {
  const [dataVar, setdataVar] = useState([]);

  useEffect(() => {
    d3.csv(csvUrl).then((data) => {
      for (const dataRow of data) {
        dataRow['Chargesheet-Rate-2021'] = +dataRow[
          'Chargesheet-Rate-2021'
        ];
         dataRow["Rate-of-Total-Crime-against-Women-2021"] =
          +dataRow["Rate-of-Total-Crime-against-Women-2021"];
        
      }
      setdataVar(data);
    });
  }, []);
  return dataVar;
};
